> ## Documentation Index
> Fetch the complete documentation index at: https://otoyinc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Compute Rewards



## OpenAPI

````yaml https://api.dispersed.com/openapi.json get /v1/compute/rewards
openapi: 3.1.0
info:
  title: Dispersed API
  version: 1.0.0
servers:
  - url: https://api.dispersed.com
security: []
paths:
  /v1/compute/rewards:
    get:
      tags:
        - Compute Rewards
      summary: List Compute Rewards
      parameters:
        - schema:
            type: integer
            minimum: 1
            maximum: 100
            example: 1
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 9007199254740991
            example: 1
          required: false
          name: page
          in: query
        - schema:
            type: string
            example: created_at OR -created_at
          required: false
          name: sort
          in: query
        - schema:
            type: string
            example: 2025-01-01,2025-03-01
          required: false
          name: filter[created_at]
          in: query
        - schema:
            type: string
          required: false
          name: filter[epoch_number]
          in: query
        - schema:
            type: string
          required: false
          name: filter[epoch_uuid]
          in: query
        - schema:
            type: string
          required: false
          name: filter[node_uuid]
          in: query
        - schema:
            type: string
          required: false
          name: filter[account_uuid]
          in: query
        - schema:
            type: string
            example: 'true'
          required: false
          name: filter[is_paid]
          in: query
        - schema:
            type: string
            example: carry-over-reconciliation
          required: false
          name: filter[adjustment_reason]
          in: query
      responses:
        '200':
          description: List compute rewards
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ComputeRewardResponse'
                  limit:
                    type: integer
                  page:
                    type: integer
                  total:
                    type: integer
                required:
                  - data
                  - limit
                  - page
                  - total
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ComputeRewardResponse:
      type: object
      properties:
        uuid:
          type:
            - string
            - 'null'
        account_uuid:
          type:
            - string
            - 'null'
        total_reward:
          type:
            - number
            - 'null'
        availability_reward:
          type:
            - number
            - 'null'
        job_reward:
          type:
            - number
            - 'null'
        total_reward_decimal:
          type:
            - number
            - 'null'
        availability_reward_decimal:
          type:
            - number
            - 'null'
        job_reward_decimal:
          type:
            - number
            - 'null'
        preparation_reward_decimal:
          type:
            - number
            - 'null'
        total_uptime_ms:
          type:
            - number
            - 'null'
        uptime_percentage:
          type:
            - number
            - 'null'
        assignable_time_ms:
          type:
            - number
            - 'null'
        assignable_percentage:
          type:
            - number
            - 'null'
        total_execution_ms:
          type:
            - number
            - 'null'
        hours_worked:
          type:
            - number
            - 'null'
        compound_multiplier:
          type:
            - number
            - 'null'
        total_preparation_ms:
          type:
            - number
            - 'null'
        preparation_reward:
          type:
            - number
            - 'null'
        computation_inputs:
          $ref: '#/components/schemas/ComputeRewardComputationInputs'
        is_paid:
          type: boolean
        transaction_hash:
          type:
            - string
            - 'null'
        adjustment_reason:
          type:
            - string
            - 'null'
        epoch:
          type: object
          properties:
            uuid:
              type:
                - string
                - 'null'
            epoch_number:
              type:
                - number
                - 'null'
            start_date:
              type:
                - string
                - 'null'
              format: date-time
            end_date:
              type:
                - string
                - 'null'
              format: date-time
            status:
              type: string
          required:
            - epoch_number
            - start_date
            - end_date
            - status
        epoch_uuid:
          type:
            - string
            - 'null'
        node:
          type: object
          properties:
            uuid:
              type:
                - string
                - 'null'
            name:
              type:
                - string
                - 'null'
        node_uuid:
          type:
            - string
            - 'null'
        object:
          type: string
          enum:
            - compute_reward
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - total_reward
        - availability_reward
        - job_reward
        - total_uptime_ms
        - uptime_percentage
        - total_execution_ms
        - hours_worked
        - compound_multiplier
        - is_paid
        - epoch
        - node
        - object
        - created_at
        - updated_at
    ErrorResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/Error'
      required:
        - error
    ComputeRewardComputationInputs:
      type:
        - object
        - 'null'
      properties:
        availability_basis:
          type: string
          enum:
            - ASSIGNABLE_PERCENTAGE
            - UPTIME_PERCENTAGE
        availability_pool_tokens:
          type:
            - number
            - 'null'
        compound_multiplier_resolved:
          type:
            - number
            - 'null'
        epoch_duration_ms:
          type:
            - number
            - 'null'
        execution_pool_tokens:
          type:
            - number
            - 'null'
        network_reward_policy_uuid:
          type:
            - string
            - 'null'
        preparation_pool_tokens:
          type:
            - number
            - 'null'
        rounding_scale:
          type:
            - number
            - 'null'
      required:
        - availability_basis
        - availability_pool_tokens
        - compound_multiplier_resolved
        - epoch_duration_ms
        - execution_pool_tokens
        - preparation_pool_tokens
        - rounding_scale
    Error:
      type: object
      properties:
        code:
          type: string
        details:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              expected:
                type: string
              input:
                type: string
              keys:
                type: array
                items:
                  type: string
              message:
                type: string
              path:
                type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
            required:
              - message
              - path
          default: []
        message:
          type: string
        status:
          type: number
        timestamp:
          type: string
      required:
        - code
        - message
        - status
        - timestamp

````